[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# LongRec

Record describing a longint value

## Declaration

Source position: sysutilh.inc line 45

`type LongRec = packed record`
`case Integer of`
`0: (`
`Hi: Word;` |  | Upper byte
`Lo: Word;` |  | Lower byte
`);`
`1: (`
`Bytes: array [0..3] of Byte;` |  | Array of 4 bytes.
`);`
`end;`

## Description

LongRec can be used to extract the parts of an long Integer: the high and low word, or the 4 separate bytes as a zero-based array of bytes. Note that the meaning (or ordering) of High and Low parts are different on various CPUs, and may differ from what is shown in the declaration: the ordering depends on the endianness of the CPU.

## See also

WordRec |  | Record describing a word value.
Int64Rec |  | Record describing an Int64 value